# Integrations

## Official

Supported by Pushlink team.

### .Net

```csharp
using Com.Pushlink.Android;
...
PushLink.Start(this, Resource.Drawable.Icon, "yourApiKey", "yourDeviceID");
```

* [Download our official DLL wrapper](https://s3.amazonaws.com/bin.pushlink.com/PushLinkMono-5.6.0.dll)
* [Sample application project](https://github.com/pushlink/pushlink-mono-sample)
* [Java binding project](https://github.com/pushlink/pushlink-mono)

{% hint style="info" %}
**Updating the lib**

&#x20;After downloading a new version, rename it from `PushLinkMono-5.x.x.dll` to `PushLinkMono.dll` before adding it as a .Net Assembly reference.
{% endhint %}

### Cordova

```javascript
//this new start API was introduced in pushlink-cordova-6.0.1

var successCallback = function success() { console.log('PushLink started successfully'); };
var errorCallback = function error() { console.log('An error occurred.'); };

PushLink.start({
  apiKey: 'api-key',
  deviceId: 'device-id',
  successCallback: successCallback,
  errorCallback: errorCallback
});
```

[Pushlink official Cordova plugin on GitHub](https://github.com/pushlink/pushlink-cordova-plugin)

## Community

{% hint style="danger" %}
We don't provide support to community plugins.
{% endhint %}

### Flutter

<https://github.com/diogo-bruno/flutter-push-link> (Community)

### React Native

<https://github.com/diogo-bruno/react-native-push-link> (Community)

### Gradle

{% hint style="info" %}
Useful for CI/CD
{% endhint %}

<https://github.com/PuzzelSolutions/gradle-pushlink-plugin> (Community)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pushlink.com/integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
